"use client";
import { __exports as e } from "../../../../../_virtual/isArrayLike.js";
import { __require as s } from "../../predicate/isLength.js";
var t;
function f() {
  return t ? e : (t = 1, (function(i) {
    Object.defineProperty(i, Symbol.toStringTag, { value: "Module" });
    const n = /* @__PURE__ */ s();
    function o(r) {
      return r != null && typeof r != "function" && n.isLength(r.length);
    }
    i.isArrayLike = o;
  })(e), e);
}
export {
  f as __require
};
